/*
  * JBoss, Home of Professional Open Source
  * Copyright 2005, JBoss Inc., and individual contributors as indicated
  * by the @authors tag. See the copyright.txt in the distribution for a
  * full listing of individual contributors.
  *
  * This is free software; you can redistribute it and/or modify it
  * under the terms of the GNU Lesser General Public License as
  * published by the Free Software Foundation; either version 2.1 of
  * the License, or (at your option) any later version.
  *
  * This software is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  * Lesser General Public License for more details.
  *
  * You should have received a copy of the GNU Lesser General Public
  * License along with this software; if not, write to the Free
  * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
  * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
  */
package org.jboss.ws.extensions.eventing.jaxws;

import java.net.MalformedURLException;
import java.net.URL;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.Service21;


/**
 * This class was generated by the JAXWS SI.
 * JAX-WS RI 2.0-b26-ea3
 * Generated source version: 2.0
 * 
 */
@WebServiceClient(name = "EventingService", targetNamespace = "http://schemas.xmlsoap.org/ws/2004/08/eventing", wsdlLocation = "wind.wsdl")
public class EventingService
    extends Service21
{

    private final static URL WSDL_LOCATION;
    private final static QName EVENTINGSERVICE = new QName("http://schemas.xmlsoap.org/ws/2004/08/eventing", "EventingService");
    private final static QName EVENTSOURCEPORT = new QName("http://schemas.xmlsoap.org/ws/2004/08/eventing", "EventSourcePort");
    private final static QName SUBSCRIPTIONMANAGERPORT = new QName("http://schemas.xmlsoap.org/ws/2004/08/eventing", "SubscriptionManagerPort");

    static {
        URL url = null;
        try {
            url = new URL("file:/home/hbraun/dev/prj/jbossws/trunk/jbossws-tests/src/main/resources/jaxws/wseventing/WEB-INF/wsdl/wind.wsdl");
        } catch (MalformedURLException e) {
            e.printStackTrace();
        }
        WSDL_LOCATION = url;
    }

    public EventingService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public EventingService() {
        super(WSDL_LOCATION, EVENTINGSERVICE);
    }

    /**
     * 
     * @return
     *     returns EventSource
     */
    @WebEndpoint(name = "EventSourcePort")
    public EventSourceEndpoint getEventSourcePort() {
        return (EventSourceEndpoint)super.getPort(EVENTSOURCEPORT, EventSourceEndpoint.class);
    }

    /**
     * 
     * @return
     *     returns SubscriptionManagerEndpoint
     */
    @WebEndpoint(name = "SubscriptionManagerPort")
    public SubscriptionManagerEndpoint getSubscriptionManagerPort() {
        return (SubscriptionManagerEndpoint)super.getPort(SUBSCRIPTIONMANAGERPORT, SubscriptionManagerEndpoint.class);
    }

}
